# This file created by conda-build 3.27.0
# meta.yaml template originally from:
# /Users/ec2-user/runner/_work/audio/audio/pytorch/audio/packaging/torchaudio, last modified Tue Apr  9 13:29:02 2024
# ------------------------------------------------

package:
  name: torchaudio
  version: 2.3.0
source:
  path: /Users/ec2-user/runner/_work/audio/audio/pytorch/audio
build:
  script_env:
    - BUILD_VERSION
    - CUDA_HOME
    - MACOSX_DEPLOYMENT_TARGET
    - TORCH_CUDA_ARCH_LIST
    - USE_CUDA
    - USE_FFMPEG
    - USE_OPENMP
  string: py38_cpu
requirements:
  build: []
  host:
    - bzip2 1.0.8 h80987f9_5
    - c-ares 1.19.1 h80987f9_0
    - ca-certificates 2024.3.11 hca03da5_0
    - cmake 3.26.4 h5d7ac33_0
    - expat 2.5.0 h313beb8_0
    - filelock 3.13.1 py38hca03da5_0
    - gmp 6.2.1 hc377ac9_3
    - gmpy2 2.1.2 py38h8c48613_0
    - jinja2 3.1.3 py38hca03da5_0
    - krb5 1.20.1 hf3e1bf2_1
    - libcurl 8.5.0 h3e2b118_0
    - libcxx 14.0.6 h848a8c0_0
    - libedit 3.1.20230828 h80987f9_0
    - libev 4.33 h1a28f6b_1
    - libffi 3.4.4 hca03da5_0
    - libnghttp2 1.57.0 h62f6fdd_0
    - libssh2 1.10.0 h02f6b3c_2
    - libuv 1.44.2 h80987f9_0
    - llvm-openmp 14.0.6 hc6e5704_0
    - lz4-c 1.9.4 h313beb8_0
    - markupsafe 2.1.3 py38h80987f9_0
    - mpc 1.1.0 h8c48613_1
    - mpfr 4.0.2 h695f6f0_1
    - mpmath 1.3.0 py38hca03da5_0
    - ncurses 6.4 h313beb8_0
    - networkx 3.1 py38hca03da5_0
    - ninja 1.10.2 hca03da5_5
    - ninja-base 1.10.2 h525c30c_5
    - openssl 3.0.13 h1a28f6b_0
    - pip 23.3.1 py38hca03da5_0
    - python 3.8.19 hb885b13_0
    - pytorch 2.3.0 py3.8_0
    - pyyaml 6.0.1 py38h80987f9_0
    - readline 8.2 h1a28f6b_0
    - rhash 1.4.3 h02f6b3c_0
    - setuptools 68.2.2 py38hca03da5_0
    - sqlite 3.41.2 h80987f9_0
    - sympy 1.12 py38hca03da5_0
    - tk 8.6.12 hb8d0fd4_0
    - typing_extensions 4.9.0 py38hca03da5_1
    - wheel 0.41.2 py38hca03da5_0
    - xz 5.4.6 h80987f9_0
    - yaml 0.2.5 h1a28f6b_0
    - zlib 1.2.13 h5a0b063_0
    - zstd 1.5.5 hd90d995_0
  run:
    - numpy
    - python >=3.8,<3.9.0a0
    - pytorch==2.3.0
  run_constrained:
    - cpuonly
test:
  imports:
    - torchaudio
    - torchaudio.datasets
    - torchaudio.io
    - torchaudio.kaldi_io
    - torchaudio.sox_effects
    - torchaudio.transforms
  requires:
    - pytest
    - scipy
  source_files:
    - test
about:
  home: https://github.com/pytorch/audio
  license: BSD
  license_file: LICENSE
  summary: simple audio I/O for pytorch
extra:
  copy_test_source_files: true
  final: true
